# Uses of Class
javafx.geometry.Dimension2D

Packages that use Dimension2D
Package
Description
javafx.scene
Provides the core set of base classes for the JavaFX Scene Graph API.
javafx.scene.chart
The JavaFX User Interface provides a set of chart components that are a very convenient way for data visualization.

## Uses of Dimension2D in javafx.scene

Methods in javafx.scene that return Dimension2D
Modifier and Type
Method
Description
`static Dimension2D`
ImageCursor.`getBestSize(double preferredWidth, double preferredHeight)`
Gets the supported cursor size that is closest to the specified preferred size.

## Uses of Dimension2D in javafx.scene.chart

Methods in javafx.scene.chart that return Dimension2D
Modifier and Type
Method
Description
`protected final Dimension2D`
Axis.`measureTickMarkLabelSize(String labelText, double rotation)`
Measure the size of the label for given tick mark value.
`protected final Dimension2D`
Axis.`measureTickMarkSize(T value, double rotation)`
Measure the size of the label for given tick mark value.
`protected Dimension2D`
Axis.`measureTickMarkSize(T value, Object range)`
Measure the size of the label for given tick mark value.
`protected Dimension2D`
CategoryAxis.`measureTickMarkSize(String value, Object range)`
Measure the size of the label for given tick mark value.
`protected Dimension2D`
NumberAxis.`measureTickMarkSize(Number value, Object range)`
Measures the size of the label for a given tick mark value.